Skip to main content
GET
/
api
/
extensions
/
beta
/
official-install-menu
List Domino Official Extension install options
curl --request GET \
  --url https://api.example.com/api/extensions/beta/official-install-menu \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "degraded": true,
  "meta": {
    "limit": 123,
    "offset": 123,
    "sortBy": "installDisplayName",
    "totalCount": 123
  },
  "officialExtensionInstalls": [
    {
      "availableVersions": [
        {
          "extensionVersion": "<string>",
          "isCompatible": true,
          "manifestSchemaVersion": 123,
          "minDominoVersion": "<string>",
          "releaseTag": "<string>",
          "maxDominoVersion": "<string>",
          "testedWithDominoVersions": [
            "<string>"
          ]
        }
      ],
      "remoteRepo": "<string>",
      "versionsFetchFailed": true,
      "currentInstall": {
        "extensionInstallId": "<string>",
        "extensionReleaseTag": "<string>",
        "extensionVersion": "<string>",
        "id": "<string>",
        "isComplete": true,
        "manifestSchemaVersion": 123,
        "startedAt": "2023-11-07T05:31:56Z",
        "startedBy": {
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "userName": "<string>"
        },
        "steps": [
          {
            "logs": [
              "<string>"
            ],
            "transitions": [
              {
                "changedAt": "2023-11-07T05:31:56Z",
                "error": "<string>",
                "statusString": "<string>"
              }
            ],
            "startedAt": "2023-11-07T05:31:56Z"
          }
        ],
        "cancelRequested": true,
        "completedAt": "2023-11-07T05:31:56Z",
        "managedDominoEntitiesV1": {
          "manifestSchemaVersion": 123,
          "appId": "<string>",
          "appVersionId": "<string>",
          "environmentId": "<string>",
          "environmentRevisionId": "<string>",
          "extensionId": "<string>",
          "projectId": "<string>"
        },
        "manifestV1": {
          "app": {
            "appDescription": "<string>",
            "appName": "<string>",
            "appVersionDescription": "<string>",
            "computeEnvironment": {
              "customEnvironment": {
                "baseImage": "<string>",
                "dockerfilePath": "<string>",
                "autoCompatibleWithDomino": true,
                "buildArgs": {},
                "name": "<string>"
              }
            },
            "entryPoint": "<string>",
            "vanityUrl": "<string>",
            "autoscalingSpec": {
              "enabled": true,
              "maxReplicas": 123,
              "minReplicas": 123,
              "scaleDownStabilizationWindowSeconds": 123,
              "scaleUpStabilizationWindowSeconds": 123,
              "targetCpuAvgUtilizationPct": 123,
              "targetMemoryAvgUtilizationPct": 123,
              "useSessionAffinity": true
            },
            "discoverable": true,
            "enableDeepLinking": true,
            "externalVolumeMounts": [
              "<string>"
            ],
            "hardwareTierIdSuggestion": "<string>",
            "mountDatasets": true
          },
          "extension": {
            "description": "<string>",
            "enabled": true,
            "name": "<string>",
            "uiMountPointTypeConfigs": {
              "adminPanel": {
                "enabled": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "dataset": {
                "enabled": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "datasetFileContext": {
                "enabled": true,
                "allProjects": true,
                "fileTypes": [
                  "<string>"
                ],
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "modelDetails": {
                "enabled": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "projectSidebar": {
                "enabled": true,
                "allProjects": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "topBar": {
                "enabled": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              }
            }
          },
          "manifestSchemaVersion": 123,
          "project": {
            "description": "<string>",
            "name": "<string>"
          }
        },
        "uninstallAttempts": 123,
        "uninstallRequested": true
      },
      "description": "<string>",
      "id": "<string>",
      "incompleteInstall": {
        "extensionInstallId": "<string>",
        "extensionReleaseTag": "<string>",
        "extensionVersion": "<string>",
        "id": "<string>",
        "isComplete": true,
        "manifestSchemaVersion": 123,
        "startedAt": "2023-11-07T05:31:56Z",
        "startedBy": {
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "userName": "<string>"
        },
        "steps": [
          {
            "logs": [
              "<string>"
            ],
            "transitions": [
              {
                "changedAt": "2023-11-07T05:31:56Z",
                "error": "<string>",
                "statusString": "<string>"
              }
            ],
            "startedAt": "2023-11-07T05:31:56Z"
          }
        ],
        "cancelRequested": true,
        "completedAt": "2023-11-07T05:31:56Z",
        "managedDominoEntitiesV1": {
          "manifestSchemaVersion": 123,
          "appId": "<string>",
          "appVersionId": "<string>",
          "environmentId": "<string>",
          "environmentRevisionId": "<string>",
          "extensionId": "<string>",
          "projectId": "<string>"
        },
        "manifestV1": {
          "app": {
            "appDescription": "<string>",
            "appName": "<string>",
            "appVersionDescription": "<string>",
            "computeEnvironment": {
              "customEnvironment": {
                "baseImage": "<string>",
                "dockerfilePath": "<string>",
                "autoCompatibleWithDomino": true,
                "buildArgs": {},
                "name": "<string>"
              }
            },
            "entryPoint": "<string>",
            "vanityUrl": "<string>",
            "autoscalingSpec": {
              "enabled": true,
              "maxReplicas": 123,
              "minReplicas": 123,
              "scaleDownStabilizationWindowSeconds": 123,
              "scaleUpStabilizationWindowSeconds": 123,
              "targetCpuAvgUtilizationPct": 123,
              "targetMemoryAvgUtilizationPct": 123,
              "useSessionAffinity": true
            },
            "discoverable": true,
            "enableDeepLinking": true,
            "externalVolumeMounts": [
              "<string>"
            ],
            "hardwareTierIdSuggestion": "<string>",
            "mountDatasets": true
          },
          "extension": {
            "description": "<string>",
            "enabled": true,
            "name": "<string>",
            "uiMountPointTypeConfigs": {
              "adminPanel": {
                "enabled": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "dataset": {
                "enabled": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "datasetFileContext": {
                "enabled": true,
                "allProjects": true,
                "fileTypes": [
                  "<string>"
                ],
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "modelDetails": {
                "enabled": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "projectSidebar": {
                "enabled": true,
                "allProjects": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              },
              "topBar": {
                "enabled": true,
                "urlConfig": {
                  "contextualQueryParams": [
                    "<string>"
                  ],
                  "route": "<string>"
                }
              }
            }
          },
          "manifestSchemaVersion": 123,
          "project": {
            "description": "<string>",
            "name": "<string>"
          }
        },
        "uninstallAttempts": 123,
        "uninstallRequested": true
      },
      "installDisplayName": "<string>",
      "versionsFetchFailedReason": "<string>"
    }
  ],
  "degradationReason": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

limit
integer

The maximum number of results to return. Use 0 for no limit (default).

Required range: x >= 0
offset
integer

The number of results to skip before starting to collect the result set.

Required range: x >= 0
sort_by
enum<string>

The field to sort by. By default, results are sorted by display name. The field to sort the official extension installs list by.

Available options:
installDisplayName
order_by
enum<string>

The order to sort results in. By default, results are sorted in ascending order. The order that the list of Extensions is sorted in.

Available options:
asc,
desc

Response

Success

degraded
boolean
required

True when GitHub was unreachable. The list contains only extensions with existing install records and availableVersions will be empty.

meta
object
required
officialExtensionInstalls
object[]
required
degradationReason
string | null

Why the list is degraded. Only present when degraded is true.